function [  ] = dreikoerper_euler( )
%Berechnung des Arenstorf-Orbits mit Euler-Verfahren


%Zeitraum festlegen
T = 17.06521656015796255889;
tspan = [0, T];

%Anfangsbedingung setzen
z_init = [0.994 0 0 -2.0015851063790825];

%Schrittweite setzen
%N = 3000;
%N = 20000;
%N = 6000;
%N = 48000;
N = 12000;
%N = 85000;
h = T/N;

z = zeros(N,4);
z(1,:) = z_init;

%Euler durchfuehren
 for k=1:N
     z(k+1,:) = z(k,:) + h*dreikoerper_rhs(z(k,:));
 end

%Ergebnisse plotten
mu = 0.012277471;
mu_hat = 1-mu;
plot(z(:, 1), z(:, 3),'g', -mu,0, 'ro', mu_hat,0, 'ro')
title('Arenstorf-Orbit')
axis([-1.5 1.5 -1.5 1.5])
%axis([-2 1 -2 2])
text( -mu-0.1 ,-0.1,'Sonne','fontsize',8);
text(  mu_hat-0.1 ,-0.1,'Mond','fontsize',8);

end